Форум программистов, компьютерный форум, киберфорум
Наши страницы
Apache, htaccess
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.67/9: Рейтинг темы: голосов - 9, средняя оценка - 4.67
xxxigrik
0 / 0 / 1
Регистрация: 08.11.2012
Сообщений: 29
1

apache + php

07.12.2012, 10:28. Просмотров 1608. Ответов 9
Метки нет (Все метки)

Activation context generation failed for "C:\php5\php5apache2_2.dll". Dependent Assembly Microsoft.VC90.CRT,processorArchitecture="x86",publicKeyToken="1fc8b3b9a1e18e3b",type="win32",version="9.0.21022.8" could not be found. Please use sxstrace.exe for detailed diagnosis.
при попытке запустить Apache2 выдается ошибка следующего характера!
Помогите!
0
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
07.12.2012, 10:28
Ответы с готовыми решениями:

Apache не запускается после того когда прикрутил php к apache
Apache не запускается после того когда прикрутил php к apache Я установил apache 2.2 , в папке...

PHP на Apache
Стоит httpd-2.2.25-win32-x86-openssl-0.9.8y Apache Ставлю php-7.1.1-Win32-VC14-x86 Когда...

Apache 1.3 + PHP 5.5
Как вы думаете?

Apache и PHP
Помогите пожалуйста не могу подключить Apache и PHP. Установила Apache, настроила - работает....

Настроика PHP на Apache
Помогите, пожалуйста настроить PHP на Apache. Устанавливаю apache_2.2.14, все работает. Но вот...

9
KOPOJI
Почетный модератор
Эксперт HTML/CSSЭксперт PHP
16758 / 6648 / 866
Регистрация: 12.06.2012
Сообщений: 19,897
Завершенные тесты: 1
07.12.2012, 10:34 2
переустановите апач из другого архива, у вас походу кривая dll-ка
0
xxxigrik
0 / 0 / 1
Регистрация: 08.11.2012
Сообщений: 29
07.12.2012, 12:38  [ТС] 3
переустановил таже фигня.

Добавлено через 1 час 10 минут
Ставил все тоже самое на win xp 64-bit все нормально работало, сейчас ставлю все тоже самое на windows server 2008 r2 64-bit и вот ошибка
0
basili4
201 / 198 / 4
Регистрация: 13.06.2012
Сообщений: 1,011
Записей в блоге: 3
07.12.2012, 15:30 4
xxxigrik, сборка апача не та. там же английским языком написано
. Dependent Assembly Microsoft.VC90.CRT,processorArchitecture="x86",publicKeyToke n="1fc8b3b9a1e18e3b",type="win32",version="9.0.21022.8"
не найдено. т.е. ему нужна x86 а от куда её взяться на winR2 ?

Не по теме:

PS вот что угодно пусть говорят но не место виндам на серваках. Толи дело линь сам все найдет все поставит

1
xxxigrik
0 / 0 / 1
Регистрация: 08.11.2012
Сообщений: 29
07.12.2012, 15:38  [ТС] 5
Цитата Сообщение от basili4 Посмотреть сообщение
xxxigrik, сборка апача не та. там же английским языком написано не найдено. т.е. ему нужна x86 а от куда её взяться на winR2 ?

Не по теме:

PS вот что угодно пусть говорят но не место виндам на серваках. Толи дело линь сам все найдет все поставит

И что мне делать теперь?
0
basili4
201 / 198 / 4
Регистрация: 13.06.2012
Сообщений: 1,011
Записей в блоге: 3
07.12.2012, 16:35 6

Вроде то что надо
1
svsw
326 / 310 / 15
Регистрация: 25.10.2012
Сообщений: 1,051
07.12.2012, 17:39 7
Цитата Сообщение от xxxigrik Посмотреть сообщение
И что мне делать теперь?
У вас не установлен распространяемый пакет Microsoft Visual C++
Установите:Обновите Windows
Используйте билд Apache Lounge

ЗЫ. Apache Software Foundation больше не продвигает Apache под Windows, а последний официальный билд Apache для Windows скомпилирован VC6, т.е PHP выше 5.2.17 работать не будет
Команда PHP при компиляции своих билдов 5.3+ использует VC9 и рекомендует использовать билд Apache Lounge
Apache Lounge компилит билды и CV9 и VC10 как для Win32 так и для Win64

Добавлено через 8 минут
Цитата Сообщение от xxxigrik Посмотреть сообщение
переустановил таже фигня.

Добавлено через 1 час 10 минут
Ставил все тоже самое на win xp 64-bit все нормально работало, сейчас ставлю все тоже самое на windows server 2008 r2 64-bit и вот ошибка
VC9 на Win7 установлен по умолчанию (по этому и работает), а на WS2008R2 не установлен

Добавлено через 22 минуты
В этом посте я давал ссылки на статьи о том как вручную установить Apache, MySQL, PHP и прочее...
2
xxxigrik
0 / 0 / 1
Регистрация: 08.11.2012
Сообщений: 29
07.12.2012, 19:43  [ТС] 8
всем спасибо уже разобрался.
0
Jen1978
1 / 0 / 0
Регистрация: 08.10.2012
Сообщений: 11
22.02.2013, 13:14 9
xxxigrik, как решил проблему ? у меня та же ерунда, только 32х битная винда
0
Илья Федин
Бог живет в /root
884 / 350 / 1
Регистрация: 12.08.2012
Сообщений: 4,401
Записей в блоге: 5
22.02.2013, 21:33 10
Jen1978, Попробуйте это: http://windows.php.net/downloads/releases/php-5.3.22-Win32-VC9-x86.msi или это: http://windows.php.net/downloads/releases/php-5.2.17-Win32-VC6-x86.msi

Не по теме:

Цитата Сообщение от svsw Посмотреть сообщение
а последний официальный билд Apache для Windows скомпилирован VC6, т.е PHP выше 5.2.17 работать не будет
Ага, только у меня в виртуалке стоит офиициальный Apache 2.2.22 с PHP 5.4 на борту (как CGI и как модуль) :mda:

1
22.02.2013, 21:33
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
22.02.2013, 21:33

Установка Apache + PHP
Прочитал хелп, но так и не понял что и как. При установке PHP 5.3.5 не выдается сообщение с...

Не могу настроить Apache c PHP
Подскажите, пожалуйста, как настроить Apache и PHP для работы на локальном компьютере. Взялся...

Не удаётся связка apache+php
Установил под Windows 10 apache 2.2.18 и php 5.2.16 . Сделал настройку, пытаюсь через скрипт...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
10
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Рейтинг@Mail.ru